# Returns a engagement score from the system by its ID. This method will look up a engagement score by the specified ID and return it back. Endpoint: GET /engagementScores/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the engagement score to return. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `consistentRead` (string) Indicates the API should force a consistent read on the data source. ## Response 200 fields (application/json): - `category_id` (string) Engagement category - `components` (array, required) - `components.name` (string, required) Name of the scoring component, from the model - `components.percentile_rank` (number, required) The percentile rank of this score compared to others - `components.raw_score` (number, required) Raw score out of 100 - `components.weight` (number, required) How the score is weighted - `components.weighted_score` (number, required) Score when weighted - `contact_id` (string, required) The contact - `customer_type` (string, required) Enum: "contact", "organization" - `date` (string, required) The date of the score - `date_of_first_engagement` (string) The date of the first engagement - `engagement_model_id` (string) The engagement model used to calculate this score - `id` (string, required) The unique, string identifier of this engagement score - `md5_hash` (string) A hash that prevents bulk routines from unnecessarily writing unchanged data - `notes` (string) - `number_of_months_since_first_engagement` (number) Number of months since first engagement - `organization_id` (string, required) The organization - `percentile_rank` (number) Where this person ranks - `previous_year_percentile_rank` (number) The percentile rank for the previous year - `previous_year_percentile_rank_change` (number) The change in percentile rank for the previous year - `previous_year_score` (number) Score for the previous year - `previous_year_score_percentage_change` (number) Amount of change in absolute value from previous year score - `previous_year_score_value_change` (number) Amount of change in absolute value from previous year score - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `total_score` (number, required) The score ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields